--Chaos plugin by CrazySpence 0.1

local TCP = dofile("tcpsock.lua")

local chaos = nil


local function Connected(conn,success)
   if conn then
      print("You are now an engine of Chaos.")
      conn:Send("REGISTER CrazySpence")
   else
      print(success)
      chaos = nil
   end
end

local function Disconnected()
   print("Connection to Chaos interrupted")
   if chaos then
      chaos = nil
   end
end

local function Incoming(conn,line)
   if line == "PING" then 
      chaos:Send("PONG")
   else
      print(line)
   end
end

local function game_init()
   if not chaos then
      chaos = TCP.make_client("philtopia.com", "11000", Connected, Incoming, Disconnected)
   else 
      print("Chaos is already active")
   end
end

local function game_stop()
   if chaos then
      chaos:Send("LOGOUT\n")
   end
end

local function travel(event,charid)
   if chaos then
      if GetPlayerName(charid) == GetPlayerName() then
         chaos:Send("ACTION 1 " .. LocationStr(GetCurrentSectorid()))
      end
   end
end

local function killed(event,died,killer)
   if chaos then
      chaos:Send("ACTION 2 " .. GetPlayerName(died) .. ":" .. GetPlayerName(killer))
   end
end

RegisterUserCommand("chaos",game_init)
RegisterUserCommand("stopchaos",game_stop)
RegisterEvent(travel,"PLAYER_ENTERED_SECTOR")
RegisterEvent(killed,"PLAYER_DIED")

